import axios from 'axios';

export interface BulletinsRecord {
  id?: number;
  title?: string;
  state?: number[];
  top?: boolean;
  publishTimeBegin?: string[];
  publishTimeEnd?: string[];
  total?: number;
  size: number;
  isRead?: boolean;
  current: number;
}

export interface BulletinsList extends BulletinsRecord {
  remark: string;
  createBy: string;
  content: string;
  publishTime: string;
}

// 查看详情
export function queryBulletinsListAll(id: number) {
  return axios.get(`/api/rest/bulletin/self/${id}`);
}
// 分页查询
export function queryBulletinsList(data: BulletinsRecord) {
  return axios({
    url: '/api/rest/bulletin/self',
    method: 'get',
    params: data,
  });
}
