import axios from 'axios';

export interface LogsRecord {
  moduleType?: string;
  functionType?: string;
  publishTimeBegin?: string;
  publishTimeEnd?: string;
  current: number;
  size: number;
}

// 日志分页查询
export function queryLogList(data: LogsRecord) {
  return axios({
    url: '/api/rest/log',
    method: 'get',
    params: data,
  });
}

// 日志详情
export function queryLogDetail(id: number) {
  return axios.get(`/api/rest/log/${id}`);
}

// 日志批量删除
export function deleteLogs(ids: number[]) {
  return axios.delete(`/api/rest/log/batch`, {
    data: ids,
  });
}
