import axios from 'axios';

export interface MessageRecord {
  userId?: string;
  title?: string;
  createAtBegin?: string;
  createAtEnd?: string;
  current: number;
  size: number;
}

export interface MessageCreateRecord {
  userId: string[];
  type: string;
  email: string;
  sms: string;
  html: string;
  title: string;
  content: string;
}

// 查看详情
export function queryMessage(userId: number, messageId: number) {
  return axios.get(`/api/rest/notice/${userId}/${messageId}`);
}
// 分页查询
export function queryMessageList(data: MessageRecord) {
  return axios({
    url: '/api/rest/notice',
    method: 'get',
    params: data,
  });
}
// 创建消息
export function createMessage(data: MessageCreateRecord) {
  return axios.post('/api/rest/notice', data);
}
// 获取消息推送方式
export function getMessageTypes() {
  return axios.get('/api/rest/notice/setting');
}
// 设置消息推送方式
export function setMessageTypes(data: string[]) {
  return axios.patch('/api/rest/notice/setting', data);
}
