import axios from 'axios';

export interface Record {
  current: number;
  size: number;
}

export interface ServeRecord extends Record {
  name?: string;
  identifier?: string;
  productId: number;
}

export interface PropertyRecord extends Record {
  name?: string;
  identifier?: string;
  productId: number;
  dataType?: string;
  ioType?: string;
}

export interface eventRecord extends Record {
  name?: string;
  level?: string;
  identifier?: string;
  productId?: number;
}

export function queryServeList(data: ServeRecord) {
  return axios({
    url: '/api/rest/tsl/serve',
    method: 'get',
    params: data,
  });
}

export function queryPropertyList(data: PropertyRecord) {
  return axios({
    url: '/api/rest/tsl/property',
    method: 'get',
    params: data,
  });
}

export function queryEventList(data: eventRecord) {
  return axios({
    url: '/api/rest/tsl/event',
    method: 'get',
    params: data,
  });
}

export function createServe(data: any) {
  return axios.post(`/api/rest/tsl/serve`, data);
}

export function createProperty(data: any) {
  return axios.post(`/api/rest/tsl/property`, data);
}

export function createEvent(data: any) {
  return axios.post(`/api/rest/tsl/event`, data);
}

export function deleteServe(data: any) {
  return axios.delete(`/api/rest/tsl/serve/${data}`);
}

export function deleteProperty(data: any) {
  return axios.delete(`/api/rest/tsl/property/${data}`);
}

export function deleteEvent(data: any) {
  return axios.delete(`/api/rest/tsl/event/${data}`);
}
