import { ref } from 'vue';

export default function usePagination(initValue = false) {
  interface Pagination {
    page: number;
    size: number;
    current: number;
    total: number;
  }

  const pagination = ref<Pagination>({
    page: 1,
    size: 10,
    current: 1,
    total: 0,
  });
  const setPagination = (value: Pagination) => {
    pagination.value.page = value.page;
    pagination.value.size = value.size;
    pagination.value.current = value.current;
    pagination.value.total = value.total;
  };
  return {
    pagination,
    setPagination,
  };
}
