import Mock from 'mockjs';
import setupMock, { successResponseWrap } from '@/utils/setup-mock';

// 生成部门树数据
const deptTree = Mock.mock({
  totalDept: {
    dept: '总部门',
    children: [
      {
        dept: '部门1',
        members: [{ name: '@cname' }, { name: '@cname' }],
      },
      {
        dept: '部门2',
        members: [{ name: '@cname' }, { name: '@cname' }],
      },
    ],
  },
});

setupMock({
  setup: () => {
    Mock.mock(new RegExp('/api/deptTree'), () => {
      return successResponseWrap(deptTree);
    });
  },
});
// 假设你需要将这个数据作为一个 API 的响应
