import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const DASHBOARD: AppRouteRecordRaw = {
  path: '/dashboard',
  name: 'dashboard',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: '首页',
    title: '首页',
    requiresAuth: true,
    icon: 'icon-dashboard', // 设置图标
    order: 0, // 排序路由菜单项。如果设置该值，值越高，越靠前
    permissions: ['dashboard'],
  },
  children: [
    {
      path: 'workplace',
      name: 'Workplace',
      component: () => import('@/views/dashboard/workplace/index.vue'),
      meta: {
        locale: '工作台',
        title: '工作台',
        requiresAuth: true,
        permissions: ['dashboard:workplace'],
      },
    },
  ],
};

export default DASHBOARD;
