import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const NOTIFICATION: AppRouteRecordRaw = {
  path: '/notification',
  name: 'notification',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: '通知管理',
    title: '通知管理',
    requiresAuth: true,
    icon: 'icon-message', // 设置图标
    order: 0, // 排序路由菜单项。如果设置该值，值越高，越靠前
    permissions: ['message'],
  },
  children: [
    {
      path: 'notice',
      name: 'Notice',
      component: () => import('@/views/notification/notice/index.vue'),
      meta: {
        locale: '消息管理',
        title: '消息管理',
        requiresAuth: true,
        permissions: ['message:notice'],
      },
    },
    {
      path: 'bulletin',
      name: 'Bulletin',
      component: () => import('@/views/notification/bulletin/index.vue'),
      meta: {
        title: '公告管理',
        requiresAuth: true,
        permissions: ['message:bulletin'],
      },
    },
    {
      path: 'bulletinDetail/:id',
      name: 'BulletinDetail',
      component: () =>
        import('@/views/notification/bulletin/components/detail.vue'),
      meta: {
        title: '公告详情',
        requiresAuth: true,
        showInMenu: false,
        permissions: ['message:bulletin'],
      },
    },
  ],
};
export default NOTIFICATION;
