import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const SYSTEM: AppRouteRecordRaw = {
  path: '/system',
  name: 'system',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: '系统管理',
    icon: 'icon-computer',
    requiresAuth: true,
    order: 2,
    permissions: ['system'],
  },
  children: [
    // {
    //   path: 'permission',
    //   name: 'Permission',
    //   component: () => import('@/views/system/permission/index.vue'),
    //   meta: {
    //     locale: 'menu.system.permission',
    //     requiresAuth: true,
    //     permissions: ['*'],
    //   },
    // },
    {
      path: 'role',
      name: 'Role',
      component: () => import('@/views/system/role/index.vue'),
      meta: {
        locale: '角色管理',
        title: '角色管理',
        requiresAuth: true,
        permissions: ['system:role'],
      },
    },
    {
      path: 'dept',
      name: 'Dept',
      component: () => import('@/views/system/dept/index.vue'),
      meta: {
        locale: '部门管理',
        title: '部门管理',
        requiresAuth: true,
        permissions: ['system:dept'],
      },
    },
    {
      path: 'user',
      name: 'User',
      component: () => import('@/views/system/user/index.vue'),
      meta: {
        locale: '用户管理',
        title: '用户管理',
        requiresAuth: true,
        permissions: ['system:user'],
      },
    },
    {
      path: 'authority',
      name: 'Authority',
      component: () => import('@/views/system/authority/index.vue'),
      meta: {
        locale: '权限管理',
        title: '权限管理',
        requiresAuth: true,
        permissions: ['system:authorityHidden'],
      },
    },
    {
      path: 'menu',
      name: 'Menu',
      component: () => import('@/views/system/menu/index.vue'),
      meta: {
        locale: '权限管理',
        title: '菜单管理',
        requiresAuth: true,
        permissions: ['system:menu'],
      },
    },
    {
      path: 'log',
      name: 'Log',
      component: () => import('@/views/system/log/index.vue'),
      meta: {
        title: '操作日志管理',
        requiresAuth: true,
        permissions: ['system:menu'],
      },
    },
  ],
};

export default SYSTEM;
