import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const USER: AppRouteRecordRaw = {
  path: '/self',
  name: 'Self',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: '个人中心',
    icon: 'icon-user',
    requiresAuth: true,
    order: 3,
  },
  children: [
    // {
    //   path: 'info',
    //   name: 'Info',
    //   component: () => import('@/views/user/info/index.vue'),
    //   meta: {
    //     locale: 'menu.user.info',
    //     requiresAuth: true,
    //     permissions: ['*'],
    //   },
    // },
    {
      path: 'setting',
      name: 'Setting',
      component: () => import('@/views/user/setting/index.vue'),
      meta: {
        locale: '个人设置',
        title: '个人设置',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'bulletins',
      name: 'Bulletins',
      component: () => import('@/views/user/bulletins/index.vue'),
      meta: {
        locale: '公告通知',
        title: '公告通知',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'messages',
      name: 'Messages',
      component: () => import('@/views/user/messages/index.vue'),
      meta: {
        locale: '消息通知',
        title: '消息通知',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'details/:id',
      name: 'Details',
      component: () => import('@/views/user/bulletins/components/detail.vue'),
      meta: {
        locale: '公告详情',
        title: '公告详情',
        requiresAuth: true,
        showInMenu: false,
        permissions: ['*'],
      },
    },
  ],
};

export default USER;
