import { defineStore } from 'pinia';
import {
  BulletinCreateRecord,
  BulletinRecord,
  BulletinsRecord,
  create,
  update,
  toggle,
  publish,
  close,
  remove,
  queryBulletinDetail,
  queryBulletinList,
  addAttachments,
  // queryDeptTreeList,
  // addAttachment,
  deleteAttachment,
} from '@/api/bulletin-mgmt';
import { bulletinsStore } from '@/store/modules/bulle-mgmt/type';

const useBulletinStore = defineStore('bulletin-mgmt', {
  state: (): bulletinsStore => ({
    remark: undefined,
    title: undefined,
    top: undefined,
    content: undefined,
    attachmentIds: undefined,
  }),

  getters: {
    DeptInfo(state: bulletinsStore): bulletinsStore {
      return { ...state };
    },
  },
  actions: {
    async queryBulletinDetail(id: number) {
      return queryBulletinDetail(id);
    },

    async queryBulletinList(params: BulletinsRecord) {
      return queryBulletinList(params);
    },

    async removeBulletin(id: number) {
      return remove(id);
    },

    async createBulletin(params: BulletinCreateRecord) {
      return create(params);
    },

    async updateBulletin(params: BulletinRecord) {
      return update(params);
    },

    async toggleBulletin(id: number) {
      return toggle(id);
    },

    async publishBulletin(data: number[]) {
      return publish(data);
    },

    async closeBulletin(id: number) {
      return close(id);
    },

    async addAttachments(data: any) {
      return addAttachments(data);
    },

    // // 获取部门树
    // async queryDeptTreeList() {
    //   return queryDeptTreeList();
    // },

    // // 获取附件信息
    // async queryAttachmentInfo(id: string) {
    //   return addAttachment(id);
    // },

    // 删除附件
    async deleteAttachment(id: string) {
      return deleteAttachment(id);
    },
  },
});
export default useBulletinStore;
