import { defineStore } from 'pinia';
import {
  queryBulletinsListAll,
  queryBulletinsList,
  BulletinsRecord,
} from '@/api/bulletins';
import { bulletinsStore } from './type';

const useBulletinsStore = defineStore('bulletin', {
  state: (): bulletinsStore => ({
    title: undefined,
    state: undefined,
    publishTimeBegin: undefined,
    publishTimeEnd: undefined,
  }),

  getters: {
    AuthInfo(state: bulletinsStore): bulletinsStore {
      return { ...state };
    },
  },
  actions: {
    async getBulletinsList(data: BulletinsRecord) {
      return queryBulletinsList(data);
    },

    async getBulletinsListAll(data: number) {
      return queryBulletinsListAll(data);
    },
  },
});

export default useBulletinsStore;
