import { defineStore } from 'pinia';
import {
  MessageRecord,
  MessageCreateRecord,
  queryMessage,
  queryMessageList,
  createMessage,
  getMessageTypes,
  setMessageTypes,
} from '@/api/message-mgmt';
import { messageStore } from '@/store/modules/message-mgmt/type';

const useMessageStore = defineStore('message-mgmt', {
  state: (): messageStore => ({
    remark: undefined,
    title: undefined,
    top: undefined,
    content: undefined,
    attachmentIds: undefined,
  }),

  getters: {
    MessageInfo(state: messageStore): messageStore {
      return { ...state };
    },
  },
  actions: {
    async queryMessage(userId: number, messageId: number) {
      return queryMessage(userId, messageId);
    },

    async queryMessageList(params: MessageRecord) {
      return queryMessageList(params);
    },

    async createMessage(params: MessageCreateRecord) {
      return createMessage(params);
    },

    async getMessageTypes() {
      return getMessageTypes();
    },

    async setMessageTypes(params: string[]) {
      return setMessageTypes(params);
    },
  },
});

export default useMessageStore;
