import { defineStore } from 'pinia';
import {
  MessagesRecord,
  MessageStatus,
  queryMessage,
  queryMessagesList,
  queryMessagesCount,
  queryMessagesReadCount,
  setMessageStatus,
} from '@/api/messages';
import { messagesStore } from '@/store/modules/messages/type';

const useMessagesStore = defineStore('message', {
  state: (): messagesStore => ({
    remark: undefined,
    title: undefined,
    content: undefined,
    attachments: undefined,
  }),

  getters: {
    MessagesInfo(state: messagesStore): messagesStore {
      return { ...state };
    },
  },
  actions: {
    async queryMessage(id: number) {
      return queryMessage(id);
    },

    async queryMessagesList(data: MessagesRecord) {
      return queryMessagesList(data);
    },

    async queryMessagesCount() {
      return queryMessagesCount();
    },

    async queryMessagesReadCount() {
      return queryMessagesReadCount();
    },

    async setMessageStatus(data: MessageStatus) {
      return setMessageStatus(data);
    },
  },
});
export default useMessagesStore;
